
@import url('https://fonts.googleapis.com/css2?family=Merriweather:ital,opsz,wght@0,18..144,300..900;1,18..144,300..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Google+Sans+Flex:opsz,wght@6..144,1..1000&family=Merriweather:ital,opsz,wght@0,18..144,300..900;1,18..144,300..900&display=swap');

:root {
    --base-color: #F1EBE6;
    --text-color: #17212E;
    --primary-color: #F5B873;
    --secondary-color: #F5B873;
    --tertiary-color: #F5B873;
    --color-1: white;
    --color-2: white;
    --color-3: white;
}

* {
    margin:0;
    padding:0;
    box-sizing: border-box;
}

html {
    font-family: Google Sans Flex, 'Sego UI', Tahoma, Geneva, Verdana, sans-serif;
    color: var(--text-color);
}

body {
    padding: 1em;
    background-color: var(--base-color);   
}

h1,h2,h3 {
    font-family: Merriweather, Google Sans Flex, 'Sego UI', Tahoma, Geneva, Verdana, sans-serif;
}

nav {
    margin: 1em auto 3em auto;
    width: min(1000px, 100%);
}

nav ul {
    display: flex;
    align-items: center;
    list-style-type: none;
    gap: 2em;
}

nav li:first-child {
    margin-right: auto;
    font-weight: bold;
}

nav a {
    text-decoration: none;
    color: var(--text-color);
}

nav a:hover {
    text-decoration: underline;
}

header, section {
    margin: 2em auto;
    width: min(75em, 100%);
    background-color: var(--color-1);
    padding: min(2em, 15%);
    border-radius: 1em;
}

.flex-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 3em;
}

header img {
    max-width: 100%;
    border-radius: 1em;
    object-fit: cover;
    object-position: center;
}

.text-container {
    flex: 0 1 34em;
}

h1 {
    font-size: 2.5rem;
}

.text-container p {
    margin: .75em 0 1em 0;
    font-size: 1.25rem;
}

.cta-button {
    display: inline-block;
    text-decoration: none;
    color: white;
    background-color: var(--primary-color);
    padding: .75em 1.25em;
    border-radius:.5em;
    font-weight: 600;
    transition: 100ms ease;
}

.secondary {
    background-color: var(--secondary-color);
}

.tertiary {
    background-color: var(--tertiary-color);
}

section {
    padding: 3em min(2em, 15%);
    background-color: var(--color-2);
    text-align: center;
}

h2 {
    font-size: 2rem;
}

section p {
    margin-top: 1em;
    font-size: 1.25rem;
}

section#projects {
    background-color: var(--color-3);
}

.grid-container {
    margin-top: 3em;
    margin-bottom: 3em;
    display: grid;
    width: 100%;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1fr 1fr;
    grid-template-areas:
    "img-3 img-1 img-2 img-4";
    gap: 1em;
}

.grid-container img {
    height: 100%;
    width: 100%;
    border-radius: 1em;
    transition: 100ms ease;
}

.grid-container img:hover {
    scale: 1.05;
}

figcaption {
    padding: 1em;
}

.cta-button:hover {
    scale: 1.05;
}

section#learning img {
    max-width: 100%;
    border-radius: 1em;
    object-fit: cover;
    object-position: left;
}

a figure,
a:has(figure) {
    text-decoration: none;
    color: var(--text-color)
}

@media(max-width: 988px) {
    header {
        text-align: center;
    }

    header .text-container {
        padding-top: 0;
    }
}

@media(max-width:640px) {
    nav li {
        display: none;
    }

    nav li:first-child,
    nav li:last-child {
        display: block;
    }

    header {
        margin-top:0;
    }

    .cta-button {
        margin-top: .5rem;
        width: 100%
    }

    .grid-container {
        display: flex;
        flex-direction: column;
    }
}

